Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.event
Class PlanEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              com.fujitsu.iflow.model.event.PlanEvent

All Implemented Interfaces:
  java.io.Serializable

public class PlanEvent
extends java.awt.AWTEvent

This class is used to communicate changes of process definitions and components of process definitions as well as the type of changes. A process definition-related event is defined by the object that was changed, also called source object, this object's type, and the type of the change (action).

See Also:
  Serialized Form

Field Summary
`static int` | `ARROW` Identifies an arrow as the source of an event.
`static int` | `ARROW_ADDED` Identifies the addition of an arrow.
`static int` | `ARROW_CHANGED` Identifies the change of an arrow.
`static int` | `ARROW_DELETED` Identifies the deletion of an arrow.
`static int` | `ARROW_DESELECTED` Identifies the deselection of an arrow.
`static int` | `ARROW_SELECTED` Identifies the selection of an arrow.
`static int` | `NODE` Identifies a node as the source of an event.
`static int` | `NODE_ADDED` Identifies the adding of a node.
`static int` | `NODE_CHANGED` Identifies the change of a node.
`static int` | `NODE_DELETED` Identifies the deletion of a node.
`static int` | `NODE_DESELECTED` Identifies the deselection of a node.
`static int` | `NODE_MOVED` Identifies the move of a node.
`static int` | `NODE_SELECTED` Identifies the selection of a node.
`static int` | `PLAN` Identifies a process definition as the source of an event.
`static int` | `PLAN_CHANGED` Identifies the change of a process definition.
`static int` | `PLAN_FIRST` Identifies the first change of a process definition.
`static int` | `PLAN_LAST` Identifies the last change of a process definition.
`static int` | `PLAN_PROPERTY_CHANGED` Identifies the change of a property of a process definition.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PlanEvent(int action, java.lang.Object source, int type)` Constructs a `PlanEvent` object for the given source object, source type, and action type.
`PlanEvent(java.lang.Object source, int action)` Constructs a `PlanEvent` object for the given source object and action type.

Method Summary
`int` | `getAction()` Returns the type of action this event represents as one of the constants defined in this class such as `ARROW_ADDED`.
`java.lang.Object` | `getSource()` Returns the source object for which this event was generated.
`int` | `getType()` Returns the type of this event's source object: `Plan`, `Node`, or `Arrow`.

Methods inherited from class java.awt.AWTEvent
`consume, getID, isConsumed, paramString, setSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLAN

    public static final int PLAN

  Identifies a process definition as the source of an event.

  See Also:
    Constant Field Values

### NODE

    public static final int NODE

  Identifies a node as the source of an event.

  See Also:
    Constant Field Values

### ARROW

    public static final int ARROW

  Identifies an arrow as the source of an event.

  See Also:
    Constant Field Values

### PLAN_FIRST

    public static final int PLAN_FIRST

  Identifies the first change of a process definition.

  See Also:
    Constant Field Values

### NODE_ADDED

    public static final int NODE_ADDED

  Identifies the adding of a node.

  See Also:
    Constant Field Values

### NODE_CHANGED

    public static final int NODE_CHANGED

  Identifies the change of a node.

  See Also:
    Constant Field Values

### NODE_DELETED

    public static final int NODE_DELETED

  Identifies the deletion of a node.

  See Also:
    Constant Field Values

### NODE_SELECTED

    public static final int NODE_SELECTED

  Identifies the selection of a node.

  See Also:
    Constant Field Values

### NODE_DESELECTED

    public static final int NODE_DESELECTED

  Identifies the deselection of a node.

  See Also:
    Constant Field Values

### NODE_MOVED

    public static final int NODE_MOVED

  Identifies the move of a node.

  See Also:
    Constant Field Values

### ARROW_ADDED

    public static final int ARROW_ADDED

  Identifies the addition of an arrow.

  See Also:
    Constant Field Values

### ARROW_CHANGED

    public static final int ARROW_CHANGED

  Identifies the change of an arrow.

  See Also:
    Constant Field Values

### ARROW_DELETED

    public static final int ARROW_DELETED

  Identifies the deletion of an arrow.

  See Also:
    Constant Field Values

### ARROW_SELECTED

    public static final int ARROW_SELECTED

  Identifies the selection of an arrow.

  See Also:
    Constant Field Values

### ARROW_DESELECTED

    public static final int ARROW_DESELECTED

  Identifies the deselection of an arrow.

  See Also:
    Constant Field Values

### PLAN_PROPERTY_CHANGED

    public static final int PLAN_PROPERTY_CHANGED

  Identifies the change of a property of a process definition.

  See Also:
    Constant Field Values

### PLAN_CHANGED

    public static final int PLAN_CHANGED

  Identifies the change of a process definition.

  See Also:
    Constant Field Values

### PLAN_LAST

    public static final int PLAN_LAST

  Identifies the last change of a process definition.

  See Also:
    Constant Field Values

Constructor Detail

### PlanEvent

    public PlanEvent(java.lang.Object source,
                     int action)

  Constructs a `PlanEvent` object for the given source object and action type.

Parameters:
  `source` - The object for which this event is generated.
  `action` - The type of action this event represents.

### PlanEvent

    public PlanEvent(int action,
                     java.lang.Object source,
                     int type)

  Constructs a `PlanEvent` object for the given source object, source type, and action type.

Parameters:
  `action` - The type of action this event represents.
  `source` - The object for which this event is generated.
  `type` - The source object's type.

Method Detail

### getAction

    public int getAction()

  Returns the type of action this event represents as one of the constants defined in this class such as `ARROW_ADDED`.

  Returns:
    The integer constant specifying the type of action this event represents.

### getSource

    public java.lang.Object getSource()

  Returns the source object for which this event was generated.

  Returns:
    This event's source object.

### getType

    public int getType()

  Returns the type of this event's source object: `Plan`, `Node`, or `Arrow`.

  Returns:
    The type of this event's source object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD